cURL
curl --request POST \ --url https://api.bunny.net/shield/shield-zone \ --header 'Content-Type: application/json' \ --data ' { "pullZoneId": 123, "shieldZone": { "shieldZoneId": 123, "premiumPlan": true, "learningMode": true, "learningModeUntil": "2023-11-07T05:31:56Z", "wafEnabled": true, "wafDisabledRules": [ "<string>" ], "wafLogOnlyRules": [ "<string>" ], "wafRequestHeaderLoggingEnabled": true, "requestBodyLoggingEnabled": true, "wafRequestIgnoredHeaders": [ "<string>" ], "wafRealtimeThreatIntelligenceEnabled": true, "wafProfileId": 123, "wafEngineConfig": [ { "name": "<string>", "valueEncoded": "<string>" } ], "dDoSChallengeWindow": 123, "whitelabelResponsePages": true } } '
{ "data": { "pullZoneId": 123, "shieldZone": { "shieldZoneId": 123, "premiumPlan": true, "learningMode": true, "learningModeUntil": "2023-11-07T05:31:56Z", "wafEnabled": true, "wafDisabledRules": [ "<string>" ], "wafLogOnlyRules": [ "<string>" ], "wafRequestHeaderLoggingEnabled": true, "requestBodyLoggingEnabled": true, "wafRequestIgnoredHeaders": [ "<string>" ], "wafRealtimeThreatIntelligenceEnabled": true, "wafProfileId": 123, "wafEngineConfig": [ { "name": "<string>", "valueEncoded": "<string>" } ], "dDoSChallengeWindow": 123, "whitelabelResponsePages": true } }, "error": { "success": true, "message": "<string>", "errorKey": "<string>" } }
Documentation IndexFetch the complete documentation index at: https://docs.bunny.net/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.bunny.net/llms.txt
Use this file to discover all available pages before exploring further.
Represents a request to create a new Shield Zone.
Show child attributes
OK
Response object for creating a new Shield Zone.
Generic response object containing status information for API operations.
Was this page helpful?